Loading ...
Sorry, an error occurred while loading the content.

New districts GIS API / Deprecating old maps/gis API

Expand Messages
  • Josh Tauberer
    Some of you may be using the old congressional districts WMS map layers for Google Maps API. These are the layers created by referencing a URL that looked like
    Message 1 of 1 , Nov 8, 2012
    • 0 Attachment
      Some of you may be using the old congressional districts WMS map layers for Google Maps API. These are the layers created by referencing a URL that looked like

         /perl/wms/wms.cgi

      This endpoint is now deprecated. Since it will not be updated with 113th Congress congressional districts, it will disappear some time in January. There were some other undocumented related endpoints at /perl/wms. If I happened to ever tell you about those, those are going to be shut down too.

      The replacement is the new API at http://gis.govtrack.us/map/demo/cd-2012/.

      This API features Google Maps and OpenLayers/OSM integration and endpoints for querying districts by lat/lng coordinate and by what districts touch other districts.

      The new GIS server made it through elections surprisingly well, so I'd recommend checking out the source code if you want to stand up something similar (e.g. for other sorts of districts). It's based on code by the Chicago Tribune and Open North. https://github.com/tauberer/boundaries_us

      Thx,

      -- 
      - Josh Tauberer (@JoshData)
      
      http://razor.occams.info
    Your message has been successfully submitted and would be delivered to recipients shortly.